{
    "name": "backend",
    "version": "0.406.0",
    "main": "dist/index",
    "license": "MIT",
    "devDependencies": {
        "@types/bcrypt": "^5.0.0",
        "@types/connect-flash": "^0.0.37",
        "@types/cookie-parser": "^1.4.2",
        "@types/express": "^4.17.11",
        "@types/express-session": "^1.17.4",
        "@types/fs-extra": "^9.0.13",
        "@types/js-yaml": "^4.0.1",
        "@types/morgan": "^1.9.2",
        "@types/node-fetch": "^2.5.10",
        "@types/nodemailer": "^6.4.4",
        "@types/nodemailer-express-handlebars": "^4.0.2",
        "@types/passport": "^1.0.11",
        "@types/passport-local": "^1.0.34",
        "@types/passport-strategy": "^0.2.35",
        "@types/pg": "^8.6.1",
        "@types/snowflake-sdk": "^1.6.1",
        "copyfiles": "^2.4.1",
        "jest-fetch-mock": "^3.0.3",
        "knex-mock-client": "^1.11.0"
    },
    "dependencies": {
        "@casl/ability": "^5.4.3",
        "@lightdash/common": "^0.406.0",
        "@lightdash/warehouses": "^0.406.0",
        "@rudderstack/rudder-sdk-node": "^1.1.3",
        "@sentry/node": "^6.12.0",
        "@sentry/tracing": "^6.12.0",
        "@sentry/types": "^6.13.3",
        "@slack/bolt": "^3.12.2",
        "@tsoa/runtime": "^4.1.3",
        "@types/async": "^3.2.16",
        "ajv": "^8.3.0",
        "ajv-formats": "^2.1.0",
        "aws-sdk": "^2.1277.0",
        "bcrypt": "^5.0.1",
        "body-parser": "^1.19.0",
        "connect-flash": "^0.1.1",
        "connect-session-knex": "^2.1.0",
        "cookie-parser": "^1.4.5",
        "execa": "^5.0.0",
        "express": "^4.17.3",
        "express-openapi-validator": "^4.13.5",
        "express-session": "^1.17.2",
        "fs-extra": "^10.0.0",
        "fuse.js": "^6.4.6",
        "graphql": "^16.6.0",
        "graphql-request": "^5.0.0",
        "js-yaml": "^4.1.0",
        "knex": "^2.4.2",
        "moment": "^2.29.4",
        "morgan": "^1.10.0",
        "nanoid": "^3.1.31",
        "node-cache": "^5.1.2",
        "node-fetch": "^2.6.1",
        "nodemailer": "^6.7.2",
        "nodemailer-express-handlebars": "^5.0.0",
        "passport": "^0.6.0",
        "passport-google-oidc": "^0.1.0",
        "passport-headerapikey": "^1.2.2",
        "passport-local": "^1.0.0",
        "passport-openidconnect": "^0.1.1",
        "passport-strategy": "^1.0.0",
        "pg": "^8.7.1",
        "pg-connection-string": "^2.5.0",
        "puppeteer": "^18.0.5",
        "redoc-express": "^1.0.0",
        "simple-git": "^3.16.0",
        "tempy": "^1.0.1",
        "tsoa": "^4.1.3",
        "uuid": "^8.3.2",
        "winston": "^3.3.3"
    },
    "scripts": {
        "dev": "HEADLESS=true ts-node-dev --rs --respawn -- src/index.ts",
        "debug": "ts-node-dev --rs --respawn --inspect-brk=0.0.0.0:9229 -- src/index.ts",
        "build": "tsc --build tsconfig.json",
        "postbuild": "copyfiles --error --up 1 src/**/*.html dist",
        "start": "node dist/index.js",
        "test": "TZ=UTC jest",
        "linter": "eslint -c .eslintrc.js --ignore-path ./../../.gitignore",
        "formatter": "prettier --config .prettierrc.js --ignore-unknown --ignore-path ./../../.gitignore",
        "lint": "yarn run linter ./src",
        "fix-lint": "yarn run linter ./src --fix",
        "format": "yarn run formatter ./src --check",
        "fix-format": "yarn run formatter ./src --write",
        "create-migration": "knex migrate:make --knexfile src/database/knexfile.ts",
        "migrate": "knex migrate:latest --knexfile src/database/knexfile.ts",
        "migrate-production": "knex migrate:latest --knexfile dist/database/knexfile.js",
        "seed": "knex seed:run --knexfile src/database/knexfile.ts",
        "seed-production": "knex seed:run --knexfile dist/database/knexfile.js",
        "rollback-last": "knex migrate:rollback --knexfile src/database/knexfile.ts",
        "rollback-all": "knex migrate:rollback --all --knexfile src/database/knexfile.ts",
        "rollback-all-production": "knex migrate:rollback --all --knexfile dist/database/knexfile.js"
    }
}
